Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QHostAddress.SpecialAddress

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QHostAddress.SpecialAddress

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QHostAddress

    public static final class QHostAddress.SpecialAddress

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QHostAddress.SpecialAddress` | `Any` The IPv4 any-address.
`static QHostAddress.SpecialAddress` | `AnyIPv6` The IPv6 any-address.
`static QHostAddress.SpecialAddress` | `Broadcast` The IPv4 broadcast address.
`static QHostAddress.SpecialAddress` | `LocalHost` The IPv4 localhost address.
`static QHostAddress.SpecialAddress` | `LocalHostIPv6` The IPv6 localhost address.
`static QHostAddress.SpecialAddress` | `Null` The null address object.

Method Summary
`static QHostAddress.SpecialAddress` | `resolve(int value)` Returns the QHostAddress$SpecialAddress constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHostAddress.SpecialAddress` | `valueOf(java.lang.String name)`
`static QHostAddress.SpecialAddress[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Null

    public static final QHostAddress.SpecialAddress Null

  The null address object. Equivalent to QHostAddress().

### Broadcast

    public static final QHostAddress.SpecialAddress Broadcast

  The IPv4 broadcast address. Equivalent to `QHostAddress`("255.255.255.255").

### LocalHost

    public static final QHostAddress.SpecialAddress LocalHost

  The IPv4 localhost address. Equivalent to `QHostAddress`("127.0.0.1").

### LocalHostIPv6

    public static final QHostAddress.SpecialAddress LocalHostIPv6

  The IPv6 localhost address. Equivalent to `QHostAddress`("::1").

### Any

    public static final QHostAddress.SpecialAddress Any

  The IPv4 any-address. Equivalent to `QHostAddress`("0.0.0.0").

### AnyIPv6

    public static final QHostAddress.SpecialAddress AnyIPv6

  The IPv6 any-address. Equivalent to `QHostAddress`("::").

Method Detail

### values

    public static QHostAddress.SpecialAddress[] values()

### valueOf

    public static QHostAddress.SpecialAddress valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHostAddress.SpecialAddress resolve(int value)

  Returns the QHostAddress$SpecialAddress constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD